import { TaskQueue } from "aurelia-framework";
export declare class UIField {
    protected element: Element;
    private taskQueue;
    label: string;
    plain: string | boolean;
    required: string | boolean;
    disabled: string | boolean;
    hint: string;
    hintPosition: string;
    width: string;
    private isEmpty;
    private hasError;
    private hasDisabled;
    private hasReadonly;
    constructor(element: Element, taskQueue: TaskQueue);
    focus(): void;
    protected attached(): void;
    get isRequired(): boolean;
    get classes(): string;
}
